Bug 1763148 - thinkfan: /etc/sysconfig/thinkfan is not used
Summary: thinkfan: /etc/sysconfig/thinkfan is not used
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: thinkfan
Version: 30
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Sandro Mani
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-10-18 10:53 UTC by Dominik 'Rathann' Mierzejewski
Modified: 2019-12-07 01:30 UTC (History)
1 user (show)

Fixed In Version: thinkfan-1.0.2-5.fc30 thinkfan-1.0.2-5.fc31 thinkfan-1.0.2-6.fc31 thinkfan-1.0.2-6.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-12-06 05:43:54 UTC
Type: Bug


Attachments (Terms of Use)

Description Dominik 'Rathann' Mierzejewski 2019-10-18 10:53:38 UTC
Description of problem:
thinkfan package ships with /etc/sysconfig/thinkfan configuration file, but its contents are not read by the systemd unit file.

Version-Release number of selected component (if applicable):
thinkfan-1.0.2-1.fc30.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Change OPTIONS="-q" to something else, e.g. "-v" in /etc/sysconfig/thinkfan
2. systemctl restart thinkfan
3. ps `pgrep thinkfan'

Actual results:
  PID TTY      STAT   TIME COMMAND
 9474 ?        S      0:00 /usr/sbin/thinkfan -b0

Expected results:
  PID TTY      STAT   TIME COMMAND
 9474 ?        S      0:00 /usr/sbin/thinkfan -b0 -v

Additional info:
It'd be better to use EnvironmentFile=-/etc/sysconfig/thinkfan than /etc/systemd/system/thinkfan.service.d/override.conf. Modifying the latter requires two commands:

systemctl daemon-reload
systemctl restart thinkfan

for the changes to take effect. The former requires only the second command.
Also, you could drop Type=forking by adding '-n' to the default ExecStart= command line.

Comment 1 Fedora Update System 2019-11-13 19:15:08 UTC
FEDORA-2019-3e227dc92c has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-3e227dc92c

Comment 2 Fedora Update System 2019-11-14 00:51:09 UTC
thinkfan-1.0.2-4.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-b4812ce7f0

Comment 3 Fedora Update System 2019-11-14 01:52:25 UTC
thinkfan-1.0.2-4.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-3e227dc92c

Comment 4 Fedora Update System 2019-11-18 02:15:11 UTC
thinkfan-1.0.2-5.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-aaebd568cd

Comment 5 Fedora Update System 2019-11-18 03:07:43 UTC
thinkfan-1.0.2-5.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-f433d4d2e4

Comment 6 Fedora Update System 2019-11-26 23:51:35 UTC
thinkfan-1.0.2-5.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2019-11-27 00:23:29 UTC
thinkfan-1.0.2-5.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Dominik 'Rathann' Mierzejewski 2019-11-27 11:03:58 UTC
This isn't fixed, thinkfan.service is unchanged in 1.0.2-5:
$ rpm -q thinkfan
thinkfan-1.0.2-5.fc31.x86_64
$ cat /usr/lib/systemd/system/thinkfan.service
[Unit]
Description=Thinkfan, the minimalist fan control program

[Service]
Type=forking
ExecStart=/usr/sbin/thinkfan $THINKFAN_ARGS
PIDFile=/run/thinkfan.pid
ExecReload=/bin/kill -HUP $MAINPID

[Install]
WantedBy=multi-user.target
Also=thinkfan-wakeup.service

Comment 9 Ben Cotton 2019-11-27 14:18:37 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 10 Dominik 'Rathann' Mierzejewski 2019-11-27 14:24:14 UTC
This wasn't open for F29, so why was it closed?

Comment 11 Fedora Update System 2019-11-27 14:50:37 UTC
FEDORA-2019-299f5f870a has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-299f5f870a

Comment 12 Fedora Update System 2019-11-27 14:50:38 UTC
FEDORA-2019-cf06c7afe2 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-cf06c7afe2

Comment 13 Fedora Update System 2019-11-28 01:44:30 UTC
thinkfan-1.0.2-6.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-299f5f870a

Comment 14 Fedora Update System 2019-11-28 02:21:41 UTC
thinkfan-1.0.2-6.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-cf06c7afe2

Comment 15 Fedora Update System 2019-12-06 05:43:54 UTC
thinkfan-1.0.2-6.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2019-12-07 01:30:25 UTC
thinkfan-1.0.2-6.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.